# Makefile per a pack_resources
# © 2025 Orni Attack

CXX = clang++
CXXFLAGS = -std=c++20 -Wall -Wextra -I../../source
TARGET = pack_resources

SOURCES = pack_resources.cpp \
          ../../source/core/resources/resource_pack.cpp

$(TARGET): $(SOURCES)
	@echo "Compilant $(TARGET)..."
	@$(CXX) $(CXXFLAGS) -o $(TARGET) $(SOURCES)
	@echo "✓ $(TARGET) compilat"

clean:
	@rm -f $(TARGET)
	@echo "✓ Netejat"

.PHONY: clean
